List Call Batches
curl --request GET \
--url https://api.cartesia.ai/agents/calls/batches \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>'import requests
url = "https://api.cartesia.ai/agents/calls/batches"
headers = {
"Cartesia-Version": "<cartesia-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Cartesia-Version': '<cartesia-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cartesia.ai/agents/calls/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"from_number_id": "<string>",
"target_concurrency_limit": 123,
"total_calls_scheduled": 123,
"total_calls_dispatched": 123,
"total_calls_finished": 123,
"retry_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z",
"admitted_at": "2023-11-07T05:31:56Z",
"recipients": [
{
"id": "<string>",
"to_number": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"agent_call_id": "<string>",
"error_message": "<string>",
"metadata": {}
}
]
}
],
"has_more": true,
"next_page": "<string>"
}Batch Calling
コールバッチ一覧
GET
/
agents
/
calls
/
batches
List Call Batches
承認
Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.
ヘッダー
API version header.
利用可能なオプション:
2026-03-01 例:
"2026-03-01"
クエリパラメータ
Filter to batches for this agent.
(Pagination option) The ID of the batch to start after.
(Pagination option) The ID of the batch to end before.
(Pagination option) The number of batches to return per page, ranging between 1 and 100.
このページは役に立ちましたか?
⌘I